Bug 377031 - graphical install image is centered but mouse input is not
graphical install image is centered but mouse input is not
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-11 23:23 EST by Jack Spaar
Modified: 2009-10-22 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-15 19:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X server log for install (41.39 KB, text/plain)
2007-11-11 23:23 EST, Jack Spaar
no flags Details
X screenshot in installer (42.33 KB, image/png)
2007-11-11 23:29 EST, Jack Spaar
no flags Details
X server log for F9alpha1 (32.23 KB, text/plain)
2008-02-06 16:50 EST, Jack Spaar
no flags Details
xconfig.test for F9alpha1 (981 bytes, text/plain)
2008-02-06 16:51 EST, Jack Spaar
no flags Details
syslog for F9alpha1 (337.07 KB, text/plain)
2008-02-06 16:52 EST, Jack Spaar
no flags Details
anaconda.log for F9alpha1 (12.45 KB, text/plain)
2008-02-06 16:52 EST, Jack Spaar
no flags Details

  None (edit)
Description Jack Spaar 2007-11-11 23:23:26 EST
Description of problem:
During graphical install, the window is centered in the display, but reactions
to mouse clicks act as if the window is not centered.

As a symptom, in X the cursor cannot be moved to the right-bottom-most extent of
the window.

Version-Release number of selected component (if applicable):
As distributed in F8 final version i386 DVD.

How reproducible:

Steps to Reproduce:
1. boot with F8 (final) i386 DVD
2. choose graphical install/upgrade
3. once in X windows, note the behavior described.
Actual results:
When the cursor appears over a button, clicks respond as if the cursor was
further down and to the right.

Expected results:

Additional info:
Savage driver.  See X.log for more info.
Comment 1 Jack Spaar 2007-11-11 23:23:26 EST
Created attachment 254931 [details]
X server log for install
Comment 2 Jack Spaar 2007-11-11 23:29:15 EST
Created attachment 254941 [details]
X screenshot in installer

In this screenshot, clicking in the region of the upper choice "Install Fedora"
actually selects the lower choice "Upgrade an existing installation".

Also note that although the screenshot shows the image as centered left-right
and extending fully top-bottom, it is actually displayed as centered top-bottom
as well.

The distance from the top-left of the display to the top-left of the centered
image appears to be the offset between where the mouse appears and where the
click happens.
Comment 3 Bjoern Rasmussen 2008-02-02 05:45:08 EST
I can confirm this bug.  It appeared on my laptop equipped with a ProSavage
KN133 /TwisterK during installation of Fedora 8.  Had to use text mode (works
well of course).
Comment 4 Jack Spaar 2008-02-06 16:41:40 EST
I just tested the F9alpha1 install DVD on the same hardware, and it still has
this same problem, so I'm adding the F9 blocker and will append F9 logs.

BTW, this is a regression from F7 and earlier, where the graphical installer
worked correctly on this hardware.
Comment 5 Jack Spaar 2008-02-06 16:50:24 EST
Created attachment 294158 [details]
X server log for F9alpha1
Comment 6 Jack Spaar 2008-02-06 16:51:36 EST
Created attachment 294159 [details]
xconfig.test for F9alpha1
Comment 7 Jack Spaar 2008-02-06 16:52:10 EST
Created attachment 294160 [details]
syslog for F9alpha1
Comment 8 Jack Spaar 2008-02-06 16:52:58 EST
Created attachment 294162 [details]
anaconda.log for F9alpha1
Comment 9 Jon Stanley 2008-02-06 17:09:23 EST
Do not make changes in 'blocks' to tracking bugs without QA team involvement. 
The particular bug that you marked this as blocking is the Alpha blocker, which
is incredibly difficult to block Alpha if it's already shipped.
Comment 10 Jack Spaar 2008-02-06 21:59:24 EST
(In reply to comment #9)
The information is appreciated.  The snark not so much.
Comment 11 Adam Jackson 2008-04-11 15:55:11 EDT
What happens if you run with the same X config file but with the driver changed
to 'vesa' ?  Do you still get the same offset effect?
Comment 12 Adam Jackson 2008-04-25 12:19:10 EDT
Moving to F9 tracker.  This is a savageism afaict, and should not affect other
Comment 13 Matěj Cepl 2008-06-12 09:06:08 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 14 Matěj Cepl 2008-07-15 19:43:59 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


Note You need to log in before you can comment on or make changes to this bug.